% Simulink model
function [sys,x0]=depo(t,x,u,flag,p)
	if flag == 0
		sys = [1;0;1;1;0;0];
		x0(1)=0.0;
	end
	if (abs(flag) == 1) | (abs(flag) == 3)
		%parametros
		g = 9.8;
		A0 = 1;
		k = 1;
		ks = 0.25;
		ke = 2;
		ue = u(1);
		h = x(1);
		%depo
		Qs = ks*sqrt(2*g*h);
		Qe = ke*ue;
		derh = (Qe - Qs)/(A0 + k*h);
	end
	if abs(flag) == 1
		sys(1) = derh;
	elseif abs(flag) == 3
		sys(1) = h;
 	elseif flag ~= 0
 		sys = [ ];
	end
